package com.aucma.dms.domain;

//import com.hw.common.core.annotation.Excel;
//import com.hw.common.core.web.domain.DmsBaseEntity;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 外协信息对象 dms_base_outsrc_info
 * 
 * @author Open Platform
 * @date 2024-01-11
 */
public class DmsBaseOutsrcInfo extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long outsrcId;

    /** 外协编号 */
    @Excel(name = "外协编号")
    private String outsrcCode;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String outsrcName;

    /** 外协联系人 */
    @Excel(name = "外协联系人")
    private String outsrcPerson;

    /** 外协电话 */
    @Excel(name = "外协电话")
    private String outsrcTel;

    /** 外协地址 */
    @Excel(name = "外协地址")
    private String outsrcAddress;

    /** 外协状态：1-启用；2-停用 */
    @Excel(name = "外协状态：1-启用；2-停用")
    private Long outsrcStatus;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    public void setOutsrcId(Long outsrcId) 
    {
        this.outsrcId = outsrcId;
    }

    public Long getOutsrcId() 
    {
        return outsrcId;
    }
    public void setOutsrcCode(String outsrcCode) 
    {
        this.outsrcCode = outsrcCode;
    }

    public String getOutsrcCode() 
    {
        return outsrcCode;
    }
    public void setOutsrcName(String outsrcName) 
    {
        this.outsrcName = outsrcName;
    }

    public String getOutsrcName() 
    {
        return outsrcName;
    }
    public void setOutsrcPerson(String outsrcPerson) 
    {
        this.outsrcPerson = outsrcPerson;
    }

    public String getOutsrcPerson() 
    {
        return outsrcPerson;
    }
    public void setOutsrcTel(String outsrcTel) 
    {
        this.outsrcTel = outsrcTel;
    }

    public String getOutsrcTel() 
    {
        return outsrcTel;
    }
    public void setOutsrcAddress(String outsrcAddress) 
    {
        this.outsrcAddress = outsrcAddress;
    }

    public String getOutsrcAddress() 
    {
        return outsrcAddress;
    }
    public void setOutsrcStatus(Long outsrcStatus) 
    {
        this.outsrcStatus = outsrcStatus;
    }

    public Long getOutsrcStatus() 
    {
        return outsrcStatus;
    }
    public void setIsFlag(Long isFlag) 
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("outsrcId", getOutsrcId())
            .append("outsrcCode", getOutsrcCode())
            .append("outsrcName", getOutsrcName())
            .append("outsrcPerson", getOutsrcPerson())
            .append("outsrcTel", getOutsrcTel())
            .append("outsrcAddress", getOutsrcAddress())
            .append("outsrcStatus", getOutsrcStatus())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
